% Einfaches Modell der Rekuperation
% ---------------------------------




% Motordaten:       (Motordaten von: Maxon EC45 Art.Nr.: 136207)
% -----------

R = 0.43;           % Widerstand in Ohm
L = 0.165e-3;       % Induktivitaet in Henry
km = 43.3e-3        % Drehmomentkonstante in Nm/A
ke = 43.3e-3        % Elektrische Konstante  Vs/rad

% Last:
% -----

g = 70;              % Getriebeuntersetzung in rad/m
m = 1;              % Angetriebene translatorische Masse in kg


% Stromversorgung:
% ----------------

Ubat = 24;          % Batteriespannung in Volt
Rbat = 0.01;        % Innenwiderstand in Ohm

% Steuerung:
% -----------

f = 1000;           % PWM-Frequenz in Hz
PWM = 50;           % Standard-Tastverhaeltnis
Rds = 0.01;         % Innenwiderstand FET angeschaltet in Ohm

% Sonstiges:
% ----------

v_s = 3;           % Anfangsgeschwindigkeit in m/s
rpm = 5293;        % Zwangsantrieb des Motors mit konst. Drehzahl